Skip to main content
`Ctrl`+`K`

# DMDATSSetIJacobianLocal

set a local residual evaluation function for use with `DMDA`

## Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetIJacobianLocal(DM dm, DMDATSIJacobianLocalFn *func, void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local residual evaluation, see `DMDATSIJacobianLocalFn` for the calling sequence

- ctx - optional context for local residual evaluation

## See Also

TS: Scalable ODE and DAE Solvers, `DMDA`, `DMDATSIJacobianLocalFn`, `DMTSSetJacobian()`, `DMDATSSetIFunctionLocal()`, `DMDASNESSetJacobianLocal()`

## Level

beginner

## Location

src/ts/utils/dmdats.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages